Ticket #28961: stem_timeout_stacktrace.txt

File stem_timeout_stacktrace.txt, 4.4 KB (added by starlight, 12 months ago)
Line 
1Downloading extrainfo descriptor from 45.59.127.53:443...
2
3Traceback (most recent call last):
4  File "/usr/local/lib/python3.7/site-packages/stem/descriptor/remote.py", line 561, in _download_descriptors
5    self.content, self.reply_headers = _download_from_orport(endpoint, self.compression, self.resource)
6  File "/usr/local/lib/python3.7/site-packages/stem/descriptor/remote.py", line 962, in _download_from_orport
7    with relay.create_circuit() as circ:
8  File "/usr/local/lib/python3.7/site-packages/stem/client/__init__.py", line 207, in create_circuit
9    for cell in self._msg(create_fast_cell):
10  File "/usr/local/lib/python3.7/site-packages/stem/client/__init__.py", line 160, in _msg
11    response = self._orport.recv(timeout = 1)
12  File "/usr/local/lib/python3.7/site-packages/stem/socket.py", line 416, in recv
13    return self._recv(wrapped_recv)
14  File "/usr/local/lib/python3.7/site-packages/stem/socket.py", line 274, in _recv
15    return handler(my_socket, my_socket_file)
16  File "/usr/local/lib/python3.7/site-packages/stem/socket.py", line 410, in wrapped_recv
17    return s.recv()
18  File "/usr/local/lib/python3.7/ssl.py", line 1037, in recv
19    return self.read(buflen)
20  File "/usr/local/lib/python3.7/ssl.py", line 913, in read
21    return self._sslobj.read(len)
22socket.timeout: The read operation timed out
23
24During handling of the above exception, another exception occurred:
25
26Traceback (most recent call last):
27  File "/usr/local/lib/python3.7/site-packages/stem/descriptor/remote.py", line 561, in _download_descriptors
28    self.content, self.reply_headers = _download_from_orport(endpoint, self.compression, self.resource)
29  File "/usr/local/lib/python3.7/site-packages/stem/descriptor/remote.py", line 962, in _download_from_orport
30    with relay.create_circuit() as circ:
31  File "/usr/local/lib/python3.7/site-packages/stem/client/__init__.py", line 207, in create_circuit
32    for cell in self._msg(create_fast_cell):
33  File "/usr/local/lib/python3.7/site-packages/stem/client/__init__.py", line 160, in _msg
34    response = self._orport.recv(timeout = 1)
35  File "/usr/local/lib/python3.7/site-packages/stem/socket.py", line 416, in recv
36    return self._recv(wrapped_recv)
37  File "/usr/local/lib/python3.7/site-packages/stem/socket.py", line 274, in _recv
38    return handler(my_socket, my_socket_file)
39  File "/usr/local/lib/python3.7/site-packages/stem/socket.py", line 410, in wrapped_recv
40    return s.recv()
41  File "/usr/local/lib/python3.7/ssl.py", line 1037, in recv
42    return self.read(buflen)
43  File "/usr/local/lib/python3.7/ssl.py", line 913, in read
44    return self._sslobj.read(len)
45socket.timeout: The read operation timed out
46
47During handling of the above exception, another exception occurred:
48
49Traceback (most recent call last):
50  File "../download_descriptor.py", line 133, in <module>
51    main()
52  File "../download_descriptor.py", line 115, in main
53    endpoints = [args.download_from],
54  File "/usr/local/lib/python3.7/site-packages/stem/descriptor/remote.py", line 485, in run
55    return list(self._run(suppress))
56  File "/usr/local/lib/python3.7/site-packages/stem/descriptor/remote.py", line 496, in _run
57    raise self.error
58  File "/usr/local/lib/python3.7/site-packages/stem/descriptor/remote.py", line 561, in _download_descriptors
59    self.content, self.reply_headers = _download_from_orport(endpoint, self.compression, self.resource)
60  File "/usr/local/lib/python3.7/site-packages/stem/descriptor/remote.py", line 962, in _download_from_orport
61    with relay.create_circuit() as circ:
62  File "/usr/local/lib/python3.7/site-packages/stem/client/__init__.py", line 207, in create_circuit
63    for cell in self._msg(create_fast_cell):
64  File "/usr/local/lib/python3.7/site-packages/stem/client/__init__.py", line 160, in _msg
65    response = self._orport.recv(timeout = 1)
66  File "/usr/local/lib/python3.7/site-packages/stem/socket.py", line 416, in recv
67    return self._recv(wrapped_recv)
68  File "/usr/local/lib/python3.7/site-packages/stem/socket.py", line 274, in _recv
69    return handler(my_socket, my_socket_file)
70  File "/usr/local/lib/python3.7/site-packages/stem/socket.py", line 410, in wrapped_recv
71    return s.recv()
72  File "/usr/local/lib/python3.7/ssl.py", line 1037, in recv
73    return self.read(buflen)
74  File "/usr/local/lib/python3.7/ssl.py", line 913, in read
75    return self._sslobj.read(len)
76socket.timeout: The read operation timed out